Subject: [Netconf] Consensus call on draft-ietf-netconf-yang-patch

From: Mahesh Jethanandani <[email-masked]>
Date: Thu, 9 Feb 2017 14:11:45 +0530

In version 12 of the document, the "patch-id" leaf was made mandatory.  However, the draft was not completely changed to
reflect this.  The authors propose the following changes. 

This consensus call is to address any concerns folks might have with these changes. If you do, please state why, and suggest alternate text. The call will run for two days and will terminate on midnight February 11. 

Section 2.2.

OLD:

A YANG Patch is optionally identified by a unique "patch-id", and it
may have an optional comment.

NEW:

A YANG Patch is identified by a unique "patch-id", and it may have an optional comment.

Section 3.

OLD:

   leaf patch-id {
     type string;
     description
       "The patch-id value used in the request.
        If there was no patch-id present in the request
        then this field will not be present.";
   }

NEW:

   leaf patch-id {
     type string;
     mandatory true;
     description
       "The patch-id value used in the request.";

-----------------------------------------------------

Section 2.6.  Since YANG Patch *may* be used on other datastores than running, we shouldn't have this text here.  It is entirely a protocol issue.

REMOVE:

The RESTCONF server will save the running datastore to non-volatile storage if it supports non-volatile storage and if the running datastore contents have changed, as specified in [RFC8040].

-----------------------------------------------------

Section 3.  This text also assumes that YANG Patch only can be used to modify the running datastore.  This is not correct, and the text is not really needed in this document anyway.  It is a property of YANG
validation in general.

REMOVE:

         YANG datastore validation is performed before any edits have been applied to the running datastore.

Mahesh & Mehmet

---

From: Mahesh Jethanandani <[email-masked]>
Date: Sat, 11 Feb 2017 07:27:04 +0530

This concludes this consensus call. With no objections, will go ahead with the suggested changes. 

Thanks. 

Mahesh Jethanandani 
[email-masked]

> On Feb 9, 2017, at 2:11 PM, Mahesh Jethanandani <[email-masked]> wrote:
> 
>